### GET /rest/catalog/productvariationprices.{format} Source: https://api.bigbuy.eu/rest/doc.json

Rate Limit

Max RequestsPeriod
101 h
```markdown ### Parameters - **includePriceLargeQuantities** (none, query, optional): Include the volume discounts - **page** (integer, query, optional): Default 0 - **pageSize** (integer, query, optional): Default 0 - **parentTaxonomy** (integer, query, optional): Taxonomy Tree Id - **format** (string, path, required) ### Responses #### 200 - Returned when successful - Array of ProductPrice #### 409 - Returned when no results found. #### 415 - Returned on invalid Content-Type header. #### 429 - Exceeded requests limits. ### Example Usage ```bash curl -X GET "https://api.bigbuy.eu/rest/catalog/productvariationprices.{format}?includePriceLargeQuantities=value&page=0&pageSize=0&parentTaxonomy=0" ``` ``` -------------------------------- ### GET /rest/catalog/productstaxonomies.{format} Source: https://api.bigbuy.eu/rest/doc.json

Rate Limit

Max RequestsPeriod
51 h
```markdown ### Parameters - **page** (integer, query, optional): Default 0 - **pageSize** (integer, query, optional): Default 0 - **parentTaxonomy** (integer, query, optional): Taxonomy Tree Id - **format** (string, path, required) ### Responses #### 200 - Returned when successful - Array of ProductTaxonomy #### 409 - Returned when no products taxonomies were found in cache. #### 415 - Returned on invalid Content-Type header. #### 429 - Exceeded requests limits. ### Example Usage ```bash curl -X GET "https://api.bigbuy.eu/rest/catalog/productstaxonomies.{format}?page=0&pageSize=0&parentTaxonomy=0" ``` ``` -------------------------------- ### GET /rest/catalog/productsstockbyhandlingdays.{format} Source: https://api.bigbuy.eu/rest/doc.json

Rate Limit

Max RequestsPeriod
101 h
```markdown ### Parameters - **page** (integer, query, optional): Default 0 - **pageSize** (integer, query, optional): Default 0 - **parentTaxonomy** (integer, query, optional): Taxonomy Tree Id - **format** (string, path, required) ### Responses #### 200 - Returned when successful - Array of ProductStock #### 409 - Returned when no products stock by handling days were found in cache. #### 415 - Returned on invalid Content-Type header. #### 429 - Exceeded requests limits. ### Example Usage ```bash curl -X GET "https://api.bigbuy.eu/rest/catalog/productsstockbyhandlingdays.{format}?page=0&pageSize=0&parentTaxonomy=0" ``` ``` -------------------------------- ### GET /rest/catalog/productsvariationsstockbyhandlingdays.{format} Source: https://api.bigbuy.eu/rest/doc.json

Rate Limit

Max RequestsPeriod
101 h
```markdown ### Parameters - **page** (integer, query, optional): Default 0 - **pageSize** (integer, query, optional): Default 0 - **parentTaxonomy** (integer, query, optional): Taxonomy Tree Id - **format** (string, path, required) ### Responses #### 200 - Returned when successful - Array of ProductStock #### 409 - Returned when no products variations stock were found in cache. #### 415 - Returned on invalid Content-Type header. #### 429 - Exceeded requests limits. ### Example Usage ```bash curl -X GET "https://api.bigbuy.eu/rest/catalog/productsvariationsstockbyhandlingdays.{format}?page=0&pageSize=0&parentTaxonomy=0" ``` ``` -------------------------------- ### GET /rest/catalog/taxonomyalllanguages/{id}.{format} Source: https://api.bigbuy.eu/rest/doc.json

Rate Limit

Max RequestsPeriod
245 s
```markdown ### Parameters - **format** (string, path, required): JSON or XML - **isoCode** (string, query, optional): es by default - **id** (string, path, required) ### Responses #### 200 - Returned when successful - Array of Taxonomy #### 404 - Returned when no taxonomy found with id X. #### 415 - Returned on invalid Content-Type header. #### 429 - Exceeded requests limits. ### Example Usage ```bash curl -X GET "https://api.bigbuy.eu/rest/catalog/taxonomyalllanguages/{id}.{format}?isoCode=string" ``` ``` -------------------------------- ### GET /rest/catalog/productinformationbysku/{sku}.{format} Source: https://api.bigbuy.eu/rest/doc.json

Rate Limit

Max RequestsPeriod
15 s
```markdown ### Parameters - **sku** (string, path, required): product sku - **isoCode** (string, query, optional): es by default - **format** (string, path, required) ### Responses #### 200 - Returned when successful **ProductInformationDoc** - **id** (integer) (example: 1234) - **sku** (string) (example: "S12435678") - **name** (string) (example: "Wire Scalp Massager") - **description** (string) (example: "

Do you constantly live under the effects of stress? Now you can reduce them thanks to thiswire scalp massager. It consists of 12 wires with rounded ends that will relieve headaches and stimulate hair growth.

") - **url** (string) (example: "wire-scalp-massager") - **isoCode** (string) (example: "en") - **dateUpdDescription** (string) (example: "2016-05-13 11:35:40") #### 404 - Returned when no product found with sku X. #### 415 - Returned on invalid Content-Type header. #### 429 - Exceeded requests limits. ### Example Usage ```bash curl -X GET "https://api.bigbuy.eu/rest/catalog/productinformationbysku/{sku}.{format}?isoCode=string" ``` ``` -------------------------------- ### GET /rest/catalog/productsvariations.{format} Source: https://api.bigbuy.eu/rest/doc.json

Rate Limit

Max RequestsPeriod
101 h
```markdown ### Parameters - **pageSize** (string, query, optional): Default 0 - **page** (string, query, optional): Default 0 - **parentTaxonomy** (integer, query, optional): Taxonomy Tree Id - **format** (string, path, required) ### Responses #### 200 - Returned when successful - Array of ProductVariationDoc #### 409 - Returned when no products variations were found in cache. #### 415 - Returned on invalid Content-Type header. #### 429 - Exceeded requests limits. ### Example Usage ```bash curl -X GET "https://api.bigbuy.eu/rest/catalog/productsvariations.{format}?pageSize=string&page=string&parentTaxonomy=0" ``` ``` -------------------------------- ### GET /rest/order/reference/{reference}.{format} Source: https://api.bigbuy.eu/rest/doc.json

Rate Limit

Max RequestsPeriod
11 s
```markdown ### Parameters - **reference** (string, path, required) - **format** (string, path, required) ### Responses #### 200 - Returned when successful **OrderReferenceResponse** - **id** (string) (example: "123456") - **totalPaidTaxIncl** (string) (example: "44.56") #### 404 - Returned when no order were found. #### 415 - Returned on invalid Content-Type header. #### 429 - Exceeded requests limits. ### Example Usage ```bash curl -X GET "https://api.bigbuy.eu/rest/order/reference/{reference}.{format}" ``` ``` -------------------------------- ### GET /rest/catalog/taxonomies.{format} Source: https://api.bigbuy.eu/rest/doc.json

Rate Limit

Max RequestsPeriod
241 h
```markdown ### Parameters - **format** (string, path, required): JSON or XML - **isoCode** (string, query, optional): es by default - **firstLevel** (integer, query, optional): Send this parameter if only want to take first level categories ### Responses #### 200 - Returned when successful - Array of Taxonomy #### 409 - Returned when no taxonomies were found in cache. #### 415 - Returned on invalid Content-Type header. #### 429 - Exceeded requests limits. ### Example Usage ```bash curl -X GET "https://api.bigbuy.eu/rest/catalog/taxonomies.{format}?isoCode=string&firstLevel=0" ``` ``` -------------------------------- ### GET /rest/catalog/productprices.{format} Source: https://api.bigbuy.eu/rest/doc.json

Rate Limit

Max RequestsPeriod
101 h
```markdown ### Parameters - **includePriceLargeQuantities** (none, query, optional): Include the volume discounts - **page** (integer, query, optional): Default 0 - **pageSize** (integer, query, optional): Default 0 - **parentTaxonomy** (integer, query, optional): First level taxonomy ID - **format** (string, path, required) ### Responses #### 200 - Returned when successful - Array of ProductPrice #### 409 - Returned when no results found. #### 415 - Returned on invalid Content-Type header. #### 429 - Exceeded requests limits. ### Example Usage ```bash curl -X GET "https://api.bigbuy.eu/rest/catalog/productprices.{format}?includePriceLargeQuantities=value&page=0&pageSize=0&parentTaxonomy=0" ``` ``` -------------------------------- ### GET /rest/catalog/productsinformation.{format} Source: https://api.bigbuy.eu/rest/doc.json

Rate Limit

Max RequestsPeriod
241 h
```markdown ### Parameters - **isoCode** (string, query, optional): es by default - **pageSize** (string, query, optional): Default 0 - **page** (string, query, optional): Default 0 - **parentTaxonomy** (integer, query, optional): Taxonomy Tree Id - **format** (string, path, required) ### Responses #### 200 - Returned when successful - Array of ProductInformationDoc #### 409 - Returned when no products information were found in cache. #### 415 - Returned on invalid Content-Type header. #### 429 - Exceeded requests limits. ### Example Usage ```bash curl -X GET "https://api.bigbuy.eu/rest/catalog/productsinformation.{format}?isoCode=string&pageSize=string&page=string&parentTaxonomy=0" ``` ``` -------------------------------- ### GET /rest/catalog/productstockbyhandlingdays/{id}.{format} Source: https://api.bigbuy.eu/rest/doc.json

Rate Limit

Max RequestsPeriod
15 s
```markdown ### Parameters - **id** (string, path, required) - **format** (string, path, required) ### Responses #### 200 - Returned when successful **ProductStock** - **id** (integer) (example: 1234) - **sku** (string) (example: "S12435678") - **stocks** (array (Stock)) (required) Array items: - **quantity** (integer) (required) (example: 14) - **minHandlingDays** (integer) (required) (example: 1) - **maxHandlingDays** (integer) (required) (example: 2) - **warehouse** (integer) #### 404 - Returned when no product stock found with id X. #### 415 - Returned on invalid Content-Type header. #### 429 - Exceeded requests limits. ### Example Usage ```bash curl -X GET "https://api.bigbuy.eu/rest/catalog/productstockbyhandlingdays/{id}.{format}" ``` ``` -------------------------------- ### GET /rest/catalog/productinformationalllanguages/{id}.{format} Source: https://api.bigbuy.eu/rest/doc.json

Rate Limit

Max RequestsPeriod
15 s
```markdown ### Parameters - **id** (string, path, required): product id - **format** (string, path, required) ### Responses #### 200 - Returned when successful - Array of ProductInformationDoc #### 404 - Returned when no products information with id X. #### 415 - Returned on invalid Content-Type header. #### 429 - Exceeded requests limits. ### Example Usage ```bash curl -X GET "https://api.bigbuy.eu/rest/catalog/productinformationalllanguages/{id}.{format}" ``` ``` -------------------------------- ### GET /rest/user/auth/status.{format} Source: https://api.bigbuy.eu/rest/doc.json

Rate Limit

Max RequestsPeriod
11 s
```markdown ### Parameters - **format** (string, path, required) ### Responses #### 200 - Returned when successful #### 404 - Returned when not not user were found. #### 415 - Returned on invalid Content-Type header. #### 429 - Exceeded requests limits. ### Example Usage ```bash curl -X GET "https://api.bigbuy.eu/rest/user/auth/status.{format}" ``` ``` -------------------------------- ### GET /rest/catalog/productsimages.{format} Source: https://api.bigbuy.eu/rest/doc.json

Rate Limit

Max RequestsPeriod
101 h
```markdown ### Parameters - **pageSize** (string, query, optional): Default 0 - **page** (string, query, optional): Default 0 - **parentTaxonomy** (integer, query, optional): Taxonomy Tree Id - **format** (string, path, required) ### Responses #### 200 - Returned when successful - Array of ProductImage #### 409 - Returned when no products images were found in cache. #### 415 - Returned on invalid Content-Type header. #### 429 - Exceeded requests limits. ### Example Usage ```bash curl -X GET "https://api.bigbuy.eu/rest/catalog/productsimages.{format}?pageSize=string&page=string&parentTaxonomy=0" ``` ``` -------------------------------- ### GET /rest/user/purse.{format} Source: https://api.bigbuy.eu/rest/doc.json

Rate Limit

Max RequestsPeriod
11 s
```markdown ### Parameters - **format** (string, path, required) ### Responses #### 200 - Returned when successful #### 404 - Returned when not available ammount of money available were found. #### 415 - Returned on invalid Content-Type header. #### 429 - Exceeded requests limits. ### Example Usage ```bash curl -X GET "https://api.bigbuy.eu/rest/user/purse.{format}" ``` ``` -------------------------------- ### GET /rest/catalog/tagalllanguages/{id}.{format} Source: https://api.bigbuy.eu/rest/doc.json

Rate Limit

Max RequestsPeriod
15 s
```markdown ### Parameters - **id** (string, path, required) - **format** (string, path, required) ### Responses #### 200 - Returned when successful - Array of Tag #### 404 - Returned when no tag languages found with id X. #### 415 - Returned on invalid Content-Type header. #### 429 - Exceeded requests limits. ### Example Usage ```bash curl -X GET "https://api.bigbuy.eu/rest/catalog/tagalllanguages/{id}.{format}" ``` ``` -------------------------------- ### GET /rest/catalog/producttaxonomies/{id}.{format} Source: https://api.bigbuy.eu/rest/doc.json

Rate Limit

Max RequestsPeriod
15 s
```markdown ### Parameters - **id** (integer, path, required): Product id - **format** (string, path, required) ### Responses #### 200 - Returned when successful **ProductTaxonomy** - **id** (integer) (example: 123456) - **taxonomy** (integer) (example: 123456) - **product** (integer) (example: 654321) #### 404 - Returned when no product taxonomies found with id X. #### 415 - Returned on invalid Content-Type header. #### 429 - Exceeded requests limits. ### Example Usage ```bash curl -X GET "https://api.bigbuy.eu/rest/catalog/producttaxonomies/{id}.{format}" ``` ``` -------------------------------- ### GET /rest/tracking/order/{idOrder}.{format} Source: https://api.bigbuy.eu/rest/doc.json

Rate Limit

Max RequestsPeriod
11 s
```markdown ### Parameters - **idOrder** (string, path, required): Order id - **isoCode** (string, query, optional): es by default - **format** (string, path, required) ### Responses #### 200 - Returned when successful - Array of OrderTrackingDoc #### 404 - Returned when no trackings were found. #### 415 - Returned on invalid Content-Type header. #### 429 - Exceeded requests limits. ### Example Usage ```bash curl -X GET "https://api.bigbuy.eu/rest/tracking/order/{idOrder}.{format}?isoCode=string" ``` ``` -------------------------------- ### GET /rest/catalog/tags.{format} Source: https://api.bigbuy.eu/rest/doc.json

Rate Limit

Max RequestsPeriod
241 h
```markdown ### Parameters - **isoCode** (string, query, optional): es by default - **format** (string, path, required) ### Responses #### 200 - Returned when successful - Array of Tag #### 409 - Returned when no tags were found in cache. #### 415 - Returned on invalid Content-Type header. #### 429 - Exceeded requests limits. ### Example Usage ```bash curl -X GET "https://api.bigbuy.eu/rest/catalog/tags.{format}?isoCode=string" ``` ``` -------------------------------- ### GET /rest/tracking/carriers.{format} Source: https://api.bigbuy.eu/rest/doc.json

Rate Limit

Max RequestsPeriod
11 s
```markdown ### Parameters - **format** (string, path, required) ### Responses #### 200 - Returned when successful - Array of CarrierTrackingDoc #### 404 - Returned when no carriers were found. #### 415 - Returned on invalid Content-Type header. #### 429 - Exceeded requests limits. ### Example Usage ```bash curl -X GET "https://api.bigbuy.eu/rest/tracking/carriers.{format}" ``` ``` -------------------------------- ### GET /rest/catalog/productvariationsstockbyhandlingdays/{id}.{format} Source: https://api.bigbuy.eu/rest/doc.json

Rate Limit

Max RequestsPeriod
15 s
```markdown ### Parameters - **id** (string, path, required) - **format** (string, path, required) ### Responses #### 200 - Returned when successful **ProductStock** - **id** (integer) (example: 1234) - **sku** (string) (example: "S12435678") - **stocks** (array (Stock)) (required) Array items: - **quantity** (integer) (required) (example: 14) - **minHandlingDays** (integer) (required) (example: 1) - **maxHandlingDays** (integer) (required) (example: 2) - **warehouse** (integer) #### 404 - Returned when no product variations stock found with id X. #### 415 - Returned on invalid Content-Type header. #### 429 - Exceeded requests limits. ### Example Usage ```bash curl -X GET "https://api.bigbuy.eu/rest/catalog/productvariationsstockbyhandlingdays/{id}.{format}" ``` ``` -------------------------------- ### GET /rest/catalog/variations.{format} Source: https://api.bigbuy.eu/rest/doc.json

Rate Limit

Max RequestsPeriod
101 h
```markdown ### Parameters - **pageSize** (string, query, optional): Default 0 - **page** (string, query, optional): Default 0 - **parentTaxonomy** (integer, query, optional): Taxonomy Tree Id - **format** (string, path, required) ### Responses #### 200 - Returned when successful - Array of VariationDoc #### 409 - Returned when no variations were found in cache. #### 415 - Returned on invalid Content-Type header. #### 429 - Exceeded requests limits. ### Example Usage ```bash curl -X GET "https://api.bigbuy.eu/rest/catalog/variations.{format}?pageSize=string&page=string&parentTaxonomy=0" ``` ``` -------------------------------- ### GET /rest/order/delivery-notes/{orderId} Source: https://api.bigbuy.eu/rest/doc.json

Rate Limit

Max RequestsPeriod
11 s
```markdown ### Parameters - **orderId** (string, path, required) ### Responses #### 200 - Returned when successful. **DeliveryNote** - **reference** (string) (example: "WH/OUT/0000001") - **order** (string) (example: "10000001") - **status** (string) (example: "SHIPPED") - **carrier** (string) (example: "GLS") - **numberOfPackages** (integer) (example: 2) - **products** (array (DeliveryNoteProduct)) Array items: - **reference** (string) (example: "V0109495") - **quantity** (integer) (example: 1) #### 403 - Returned when order does not belong to the user #### 415 - Returned on invalid Content-Type header. #### 429 - Exceeded requests limits. ### Example Usage ```bash curl -X GET "https://api.bigbuy.eu/rest/order/delivery-notes/{orderId}" ``` ``` -------------------------------- ### GET /rest/catalog/languages.{format} Source: https://api.bigbuy.eu/rest/doc.json

Rate Limit

Max RequestsPeriod
101 h
```markdown ### Parameters - **format** (string, path, required): JSON or XML ### Responses #### 200 - Returned when successful - Array of Language #### 415 - Returned on invalid Content-Type header. #### 429 - Exceeded requests limits. ### Example Usage ```bash curl -X GET "https://api.bigbuy.eu/rest/catalog/languages.{format}" ``` ``` -------------------------------- ### GET /rest/catalog/productstags.{format} Source: https://api.bigbuy.eu/rest/doc.json

Rate Limit

Max RequestsPeriod
241 h
```markdown ### Parameters - **isoCode** (string, query, optional): es by default - **pageSize** (string, query, optional): Default 0 - **page** (string, query, optional): Default 0 - **parentTaxonomy** (integer, query, optional): Taxonomy Tree Id - **format** (string, path, required) ### Responses #### 200 - Returned when successful - Array of ProductTag #### 409 - Returned when no products tags were found in cache. #### 415 - Returned on invalid Content-Type header. #### 429 - Exceeded requests limits. ### Example Usage ```bash curl -X GET "https://api.bigbuy.eu/rest/catalog/productstags.{format}?isoCode=string&pageSize=string&page=string&parentTaxonomy=0" ``` ``` -------------------------------- ### GET /rest/catalog/new-products.{format} Source: https://api.bigbuy.eu/rest/doc.json

New or republished products in the last 7 days. Updated only once a day

Rate Limit

Max RequestsPeriod
21 h
Maximum page size is 10000 ```markdown ### Parameters - **page** (integer, query, optional): Default 0 - **pageSize** (integer, query, optional): Default 0 - **parentTaxonomy** (integer, query, optional): Taxonomy Tree Id - **format** (string, path, required) ### Responses #### 200 - Returned when successful - Array of ProductCustomer #### 409 - Returned when no products were found in cache. #### 415 - Returned on invalid Content-Type header. #### 429 - Exceeded requests limits. ### Example Usage ```bash curl -X GET "https://api.bigbuy.eu/rest/catalog/new-products.{format}?page=0&pageSize=0&parentTaxonomy=0" ``` ``` -------------------------------- ### GET /rest/catalog/productvariations/{id}.{format} Source: https://api.bigbuy.eu/rest/doc.json

Rate Limit

Max RequestsPeriod
15 s
```markdown ### Parameters - **id** (string, path, required) - **format** (string, path, required) ### Responses #### 200 - Returned when successful - Array of ProductVariationDoc ### Example Usage ```bash curl -X GET "https://api.bigbuy.eu/rest/catalog/productvariations/{id}.{format}" ``` ``` -------------------------------- ### GET /rest/catalog/product/{id}.{format} Source: https://api.bigbuy.eu/rest/doc.json

Rate Limit

Max RequestsPeriod
15 s
```markdown ### Parameters - **id** (string, path, required) - **format** (string, path, required) ### Responses #### 200 - Returned when successful **ProductCustomer** - **manufacturer** (integer) (example: 1234) - **id** (integer) (example: 1234567) - **sku** (string) (example: "S12435678") - **ean13** (string) (example: "7569000752751") - **weight** (number (float)) (example: 158) - **height** (number (float)) (example: 23) - **width** (number (float)) (example: 55) - **depth** (number (float)) (example: 10) - **dateUpd** (string) (example: "2016-05-13 11:35:40") - **category** (integer) (example: 12450) - **dateUpdDescription** (string) (example: "2016-05-13 11:35:40") - **dateUpdImages** (string) (example: "2016-05-13 11:35:40") - **dateUpdStock** (string) (example: "2016-05-13 11:35:40") - **wholesalePrice** (string) (example: "50.47") - **retailPrice** (string) (example: "64.20") - **taxonomy** (integer) (example: 11548) - **dateAdd** (string) (example: "2016-05-13 11:35:40") - **video** (string) (example: "0") - **active** (integer) (example: 1) - **attributes** (boolean) - **categories** (boolean) - **images** (boolean) - **taxRate** (number (float)) (example: 21) - **taxId** (integer) (example: 21) - **inShopsPrice** (number (float)) (example: 76) - **condition** (string) (example: "New") - **logisticClass** (string) (example: "A") - **tags** (boolean) - **dateUpdProperties** (string) (example: "2016-05-13 11:35:40") - **dateUpdCategories** (string) (example: "2016-05-13 11:35:40") - **priceLargeQuantities** (array (PriceLargeQuantity)) Array items: - **id** (integer) (example: 1234) - **quantity** (integer) (example: 14) - **price** (number (float)) (example: 46.75) - **intrastat** (string) (example: null) - **partNumber** (string) (example: "1234ABC") - **canon** (number (float)) (example: 0) #### 404 - Returned when no product found with id X. #### 415 - Returned on invalid Content-Type header. #### 429 - Exceeded requests limits. ### Example Usage ```bash curl -X GET "https://api.bigbuy.eu/rest/catalog/product/{id}.{format}" ``` ``` -------------------------------- ### GET /rest/catalog/productinformation/{id}.{format} Source: https://api.bigbuy.eu/rest/doc.json

Rate Limit

Max RequestsPeriod
15 s
```markdown ### Parameters - **isoCode** (string, query, optional): es by default - **id** (string, path, required) - **format** (string, path, required) ### Responses #### 200 - Returned when successful **ProductInformationDoc** - **id** (integer) (example: 1234) - **sku** (string) (example: "S12435678") - **name** (string) (example: "Wire Scalp Massager") - **description** (string) (example: "

Do you constantly live under the effects of stress? Now you can reduce them thanks to thiswire scalp massager. It consists of 12 wires with rounded ends that will relieve headaches and stimulate hair growth.

") - **url** (string) (example: "wire-scalp-massager") - **isoCode** (string) (example: "en") - **dateUpdDescription** (string) (example: "2016-05-13 11:35:40") #### 404 - Returned when no product found with id X. #### 415 - Returned on invalid Content-Type header. #### 429 - Exceeded requests limits. ### Example Usage ```bash curl -X GET "https://api.bigbuy.eu/rest/catalog/productinformation/{id}.{format}?isoCode=string" ``` ``` -------------------------------- ### GET /rest/catalog/productscategories.{format} Source: https://api.bigbuy.eu/rest/doc.json Deprecated: Use /productstaxonomies instead
*

Rate Limit

Max RequestsPeriod
21 h
```markdown ### Parameters - **page** (integer, query, optional): Default 0 - **pageSize** (integer, query, optional): Default 0 - **parentTaxonomy** (integer, query, optional): Taxonomy Tree Id - **format** (string, path, required) ### Responses #### 200 - Returned when successful - Array of ProductCategory #### 409 - Returned when no productCategories were found in cache. #### 415 - Returned on invalid Content-Type header. #### 429 - Exceeded requests limits. ### Example Usage ```bash curl -X GET "https://api.bigbuy.eu/rest/catalog/productscategories.{format}?page=0&pageSize=0&parentTaxonomy=0" ``` ``` -------------------------------- ### GET /rest/catalog/productimages/{id}.{format} Source: https://api.bigbuy.eu/rest/doc.json

Rate Limit

Max RequestsPeriod
15 s
```markdown ### Parameters - **id** (string, path, required): Product Id - **format** (string, path, required) ### Responses #### 200 - Returned when successful **ProductImage** - **id** (integer) (example: 1234) - **images** (array (Image)) Array items: - **id** (integer) (example: 1234) - **isCover** (boolean) (example: "true") - **name** (string) (example: "masajeador-capilar-de-varilla-00") - **url** (string) (example: "https://cdnbigbuy.com/images/masajeador-capilar-de-varilla-00.jpg") - **logo** (boolean) (example: true) - **whiteBackground** (boolean) (example: true) - **position** (integer) (example: 1) - **energyEfficiency** (integer) (example: 1) - **icon** (integer) (example: 1) - **marketingPhoto** (integer) (example: 1) - **packagingPhoto** (integer) (example: 1) - **brand** (integer) (example: 1) - **gpsrLabel** (boolean) (example: true) - **gpsrWarning** (boolean) (example: true) #### 404 - Returned when no product images found with id X. #### 415 - Returned on invalid Content-Type header. #### 429 - Exceeded requests limits. ### Example Usage ```bash curl -X GET "https://api.bigbuy.eu/rest/catalog/productimages/{id}.{format}" ``` ``` -------------------------------- ### GET /rest/catalog/products.{format} Source: https://api.bigbuy.eu/rest/doc.json

Rate Limit

Max RequestsPeriod
101 h
Maximum page size is 10000 ```markdown ### Parameters - **page** (integer, query, optional): Default 0 - **pageSize** (integer, query, optional): Default 0 - **parentTaxonomy** (integer, query, optional): Taxonomy Tree Id - **format** (string, path, required) ### Responses #### 200 - Returned when successful - Array of ProductCustomer #### 409 - Returned when no products were found in cache. #### 415 - Returned on invalid Content-Type header. #### 429 - Exceeded requests limits. ### Example Usage ```bash curl -X GET "https://api.bigbuy.eu/rest/catalog/products.{format}?page=0&pageSize=0&parentTaxonomy=0" ``` ``` -------------------------------- ### GET /rest/catalog/producttags/{id}.{format} Source: https://api.bigbuy.eu/rest/doc.json

Rate Limit

Max RequestsPeriod
15 s
```markdown ### Parameters - **id** (string, path, required): productId - **isoCode** (string, query, optional): es by default - **format** (string, path, required) ### Responses #### 200 - Returned when successful **ProductTag** - **id** (integer) (example: 1234) - **sku** (string) (example: "S12435678") - **tag** (object) - **id** (integer) (example: 123456) - **name** (string) (example: "animals") - **linkRewrite** (string) (example: "animals") - **language** (string) (example: "en") #### 404 - Returned when no product tags found with id X. #### 415 - Returned on invalid Content-Type header. #### 429 - Exceeded requests limits. ### Example Usage ```bash curl -X GET "https://api.bigbuy.eu/rest/catalog/producttags/{id}.{format}?isoCode=string" ``` ``` -------------------------------- ### API Overview: BigBuy API Source: https://api.bigbuy.eu/rest/doc.json # Generated SDK's # Rate Limit

In this section, you learn how to check your rate limits and request exceptions.

Check your rate limits with BigBuy rate limit headers

  • X-RateLimit-Limit - the rate limit ceiling that is applicable for the current request.

For example:

  HTTP/1.1 200 OK
    X-RateLimit-Limit: 1200
# Authentication

BigBuy API offers one form of authentication in header:

Authorization: Bearer API_KEY
```yaml # BigBuy API # Version: 1.0.0 # Generated SDK's # Rate Limit

In this section, you learn how to check your rate limits and request exceptions.

Check your rate limits with BigBuy rate limit headers

  • X-RateLimit-Limit - the rate limit ceiling that is applicable for the current request.

For example:

  HTTP/1.1 200 OK
    X-RateLimit-Limit: 1200
# Authentication

BigBuy API offers one form of authentication in header:

Authorization: Bearer API_KEY
# Base URL: https://api.bigbuy.eu ```